{
	"$schema": "https://biomejs.dev/schemas/2.3.1/schema.json",
	"assist": {
		"actions": {
			"source": {
				"organizeImports": "on",
				"useSortedAttributes": "on"
			}
		},
		"enabled": true
	},

	"files": {
		"ignoreUnknown": true,
		"includes": [
			"**",
			"!node_modules",
			"!.git",
			"!out",
			"!public",
			"!.github",
			"!.vscode",
			"!certificates",
			"!.next",
			"!.env",
			"!.gitignore",
			"!check-env-vars.js",
			"!headers",
			"!schemas",
			"!kyselyRules",
			"!prettier.config.cjs",
			"!postcss.config.cjs",
			"!.dockerignore",
			"!Dockerfile",
			"!*compose.yml",
			"!.kanelrc.js",
			"!TODO",
			"!*.d.ts",
			"!src/i18n/comuni.ts",
			"!src/i18n/nazioni.ts",
			"!src/i18n/provincie.ts",
			"!src/styles/globals.css",
			"!!**/node_modules",
			"!!**/dist",
			"!!**/build",
			"!!**/.next",
			"!!**/.git",
			"!!**/public",
			"!!**/.github",
			"!!**/.vscode",
			"!!**/certificates",
			"!!**/headers",
			"!!**/schemas"
		]
	},
	"formatter": {
		"enabled": true,
		"indentStyle": "tab"
	},
	"javascript": {
		"formatter": {
			"quoteStyle": "double"
		}
	},
	"css": {
		"parser": {
			"tailwindDirectives": true
		}
	},
	"linter": {
		"domains": {
			"next": "recommended",
			"project": "recommended",
			"react": "recommended"
		},
		"enabled": true,
		"rules": {
			"a11y": {
				"noAutofocus": "off",
				"noNoninteractiveElementInteractions": "error",
				"useSemanticElements": "off",
				"useMediaCaption": "off"
			},
			"complexity": {
				"noUselessFragments": "off"
			},

			"correctness": {
				"noUndeclaredVariables": "on",
				"useExhaustiveDependencies": "off",
				"useHookAtTopLevel": "off",
				"useParseIntRadix": "off",
				"noChildrenProp": "error",
				"noReactPropAssignments": "error"
			},
			"nursery": {
				"useExhaustiveSwitchCases": "on",
				"useSortedClasses": {
					"level": "info",
					"fix": "safe",
					"options": {}
				}
			},
			"performance": {
				"noImgElement": "off",
				"useGoogleFontPreconnect": "on"
			},
			"recommended": true,
			"security": {
				"noDangerouslySetInnerHtml": "off"
			},
			"style": {
				"noUselessElse": "on",
				"noYodaExpression": "on",
				"useThrowNewError": "on",
				"useThrowOnlyError": "on"
			},
			"suspicious": {
				"noArrayIndexKey": "info",
				"noDocumentImportInPage": "on",
				"noHeadImportInDocument": "on",
				"noUnknownAtRules": "off",
				"useIterableCallbackReturn": "off"
			}
		}
	},
	"plugins": ["biome_plugins/missing.grit", "biome_plugins/null.grit"],
	"vcs": {
		"clientKind": "git",
		"enabled": true,
		"root": "../../",
		"useIgnoreFile": false
	}
}
